package com.develop.setting.init.adapter

import android.widget.ImageView
import androidx.appcompat.widget.AppCompatTextView
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.develop.food.base.data.model.SettingModel
import com.develop.setting.R

class SettingMainAdapter :
    BaseQuickAdapter<SettingModel, BaseViewHolder>(R.layout.item_setting_main_view) {
    override fun convert(holder: BaseViewHolder, item: SettingModel) {
        holder.getView<AppCompatTextView>(R.id.tv_name).text = item.name
        holder.getView<ImageView>(R.id.iv_icon).setBackgroundResource(item.resId)
    }

}


